Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188997 - Review Request: magic
Summary: Review Request: magic
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-14 14:54 UTC by Simon Perreault
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-19 00:53:29 UTC


Attachments (Terms of Use)

Description Simon Perreault 2006-04-14 14:54:51 UTC
Spec URL: http://nomis80.org/rpms/SPECS/magic.spec
SRPM URL: http://nomis80.org/rpms/SRPMS/magic-7.4.13-1.src.rpm
Description:
Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
John Ousterhout, now famous primarily for writing the scripting interpreter
language Tcl. Due largely in part to its liberal Berkeley open-source license,
magic has remained popular with universities and small companies. The
open-source license has allowed VLSI engineers with a bent toward programming
to implement clever ideas and help magic stay abreast of fabrication
technology. However, it is the well thought-out core algorithms which lend to
magic the greatest part of its popularity.  Magic is widely cited as being the
easiest tool to use for circuit layout, even for people who ultimately rely on
commercial tools for their product design flow.

Comment 1 Michael J Knox 2006-04-25 03:20:23 UTC
I started to review this package, however, it seems to error all the time..
examples: 

On start:

error in slave eval:
couldn't load file "/usr/lib/magic/tcl/tclmagic.so":
/usr/lib/magic/tcl/tclmagic.so: cannot open shared object file: No such file or
directory

When exiting by using the "x" in the corner:

Error: invaild command name "magic::quit"

invalid command name "magic::quit"
invalid command name "magic::quit"
    while executing
"magic::quit"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 magic::quit"
    invoked from within
"interp eval $slave uplevel \#0 $args"
    (procedure "::tkcon::InterpEval" line 10)
    invoked from within
"::tkcon::Slave slave magic::quit"
    ("uplevel" body line 1)
    invoked from within
"uplevel \#0 $new $args"
    ("default" arm line 5)
    invoked from within
"switch -glob -- $cmd {
	buf* {
	    ## 'buffer' Sets/Query the buffer size
	    if {[llength $args]} {
		if {[regexp {^[1-9][0-9]*$} $args]} {
		    s..."
    (procedure "tkcon" line 4)
    invoked from within
"tkcon slave slave magic::quit"
    (command for "WM_DELETE_WINDOW" window manager protocol)

I am not sure whats wrong, but the srpm as is does not seem to be happy with FC5

Comment 2 Jason Tibbitts 2006-08-19 00:53:29 UTC
No response from the package submitter in four months and the needinfo ping went
out three weeks ago.  I'm closing this ticket.


Note You need to log in before you can comment on or make changes to this bug.